SystemOrganization addCategory: #ConfigurationOfIdeaIcons!

Object subclass: #ConfigurationOfIdeaIcons
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfIdeaIcons'!

!ConfigurationOfIdeaIcons class methodsFor: 'development support' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfIdeaIcons class methodsFor: 'private' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfIdeaIcons class methodsFor: 'catalog' stamp: 'EstebanLorenzano 4/28/2015 19:15'!
catalogChangeLog
	"Returns a paragraph describing the most important changes in the configuration class."
	^ ''! !

!ConfigurationOfIdeaIcons class methodsFor: 'catalog' stamp: 'EstebanLorenzano 4/28/2015 19:17'!
catalogContactInfo
	"Returns a paragraph describing contact information such as email, mailing lists and website."
	^ '
	Site home: *http://smalltalkhub.com/#!!/~estebanlm/IconsForPharo*
	
	You can contact me through the pharo-dev list or mailing me to esteban at gmail dot com'! !

!ConfigurationOfIdeaIcons class methodsFor: 'catalog' stamp: 'EstebanLorenzano 4/28/2015 19:17'!
catalogDescription
	"Returns a paragraph describing the project"
	^ 'This package loads IntelliJ Idea icons for Pharo.'! !

!ConfigurationOfIdeaIcons class methodsFor: 'catalog' stamp: 'EstebanLorenzano 4/28/2015 19:17'!
catalogKeyClassesAndExample
	"Returns a paragraph or more describing the key classes of your project. You can use Pillar/Pier syntax to layout out the text i.e., ==Code== and - for bullet."
	^ ''! !

!ConfigurationOfIdeaIcons class methodsFor: 'catalog' stamp: 'EstebanLorenzano 4/28/2015 19:17'!
catalogKeywords
	"Returns an array of symbols"
	^ #(ui icons tools) ! !

!ConfigurationOfIdeaIcons class methodsFor: 'private' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfIdeaIcons class methodsFor: 'private' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfIdeaIcons class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfIdeaIcons class methodsFor: 'loading' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfIdeaIcons class methodsFor: 'loading' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfIdeaIcons class methodsFor: 'loading' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfIdeaIcons class methodsFor: 'accessing' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
project

	^self new project! !

!ConfigurationOfIdeaIcons class methodsFor: 'development support' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfIdeaIcons methodsFor: 'baselines' stamp: 'EstebanLorenzano 4/28/2015 15:14'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/estebanlm/IconsForPharo/main/'.
		spec package: 'Polymorph-Icons-Idea'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'accessing' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfIdeaIcons methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 6/5/2015 15:25'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1-baseline'.
! !

!ConfigurationOfIdeaIcons methodsFor: 'accessing' stamp: 'EstebanLorenzano 4/28/2015 15:13'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfIdeaIcons methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 6/5/2015 15:25'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.2.9'.
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/28/2015 17:57'!
version011: spec
	<version: '0.1.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'fixed a problem in #historyIcon. 
Loads in 3.0 too :)'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/28/2015 17:57'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.3'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/28/2015 15:48'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'starting point for Pharo 4 and Pharo 5'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/28/2015 15:48'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.2'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/29/2015 17:55'!
version021: spec
	<version: '0.2.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'fixed monticello newer packages icon'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/29/2015 17:55'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.5'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/30/2015 12:04'!
version022: spec
	<version: '0.2.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'fixed gtspotter settings icon'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/30/2015 12:04'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.6'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/30/2015 13:29'!
version023: spec
	<version: '0.2.3' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'fixed a compatibility issue with Pharo 3.0'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/30/2015 13:29'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.7'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/30/2015 15:22'!
version024: spec
	<version: '0.2.4' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'added correct refreshIcon'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/30/2015 15:22'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.8'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 5/2/2015 12:03'!
version025: spec
	<version: '0.2.5' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'changed exception icon to be more relevant'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/2/2015 12:03'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.9'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 5/5/2015 11:50'!
version026: spec
	<version: '0.2.6' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: '- new change to "add"
- added better "config" icons (for Versionner)'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/5/2015 11:50'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.11'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 5/6/2015 11:39'!
version027: spec
	<version: '0.2.7' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'changed flag and halt icons... still not happy, but they will probably work better.'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/6/2015 11:39'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.12'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 6/5/2015 13:58'!
version028: spec
	<version: '0.2.8' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'added icon for catalog browser'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '6/5/2015 13:58'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.13'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 6/5/2015 15:28'!
version029: spec
	<version: '0.2.9' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'configIcon moved to Tool-Catalog'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '6/5/2015 15:25'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.15'. ].
! !

!ConfigurationOfIdeaIcons methodsFor: 'versions' stamp: 'EstebanLorenzano 4/28/2015 19:18'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'added some glamorous missing icons. 
added catalog methods.'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/28/2015 19:18'.
		spec package: 'Polymorph-Icons-Idea' with: 'Polymorph-Icons-Idea-EstebanLorenzano.4'. ].
! !
